GDB (xrefs)

Public Attributes | List of all members
gdbscm_disasm_read_data Struct Reference

## Public Attributes
bfd_vma | memaddr
bfd_byte * | myaddr
unsigned int | length
gdbscm_disassembler * | dinfo

## Detailed Description

Definition at line 55 of file scm-disasm.c.

## Member Data Documentation

## ◆ dinfo

gdbscm_disassembler* gdbscm_disasm_read_data::dinfo

Definition at line 60 of file scm-disasm.c.

Referenced by gdbscm_disasm_read_memory(), and gdbscm_disasm_read_memory_worker().

## ◆ length

unsigned int gdbscm_disasm_read_data::length

Definition at line 59 of file scm-disasm.c.

Referenced by gdbscm_disasm_read_memory(), and gdbscm_disasm_read_memory_worker().

## ◆ memaddr

bfd_vma gdbscm_disasm_read_data::memaddr

Definition at line 57 of file scm-disasm.c.

Referenced by gdbscm_disasm_read_memory(), gdbscm_disasm_read_memory_worker(), and gdbscm_print_insn_from_port().

## ◆ myaddr

bfd_byte* gdbscm_disasm_read_data::myaddr

Definition at line 58 of file scm-disasm.c.

Referenced by gdbscm_disasm_read_memory(), and gdbscm_disasm_read_memory_worker().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/guile/scm-disasm.c